Bug 9771 - Replace YUI buttons on acquisitions basket groups page with Bootstrap
Summary: Replace YUI buttons on acquisitions basket groups page with Bootstrap
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL: /cgi-bin/koha/acqui/basketgroup.pl?bo...
Keywords:
Depends on:
Blocks: 9779 9806
  Show dependency treegraph
 
Reported: 2013-03-08 15:36 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9771 - Replace YUI buttons on acquisitions basket groups page with Bootstrap (6.81 KB, patch)
2013-03-08 15:48 UTC, Owen Leonard
Details | Diff | Splinter Review
screenshot (469.36 KB, image/jpeg)
2013-03-08 23:57 UTC, mathieu saby
Details
Bug 9771 [Revised] Replace YUI buttons on acquisitions basket groups page with Bootstrap (7.32 KB, patch)
2013-03-10 14:08 UTC, Owen Leonard
Details | Diff | Splinter Review
[PATCH] [SIGNED-OFF] Bug 9771 [Revised] Replace YUI buttons on acquisitions basket groups page with Bootstrap (7.39 KB, patch)
2013-03-10 17:21 UTC, mathieu saby
Details | Diff | Splinter Review
[PASSED QA] Bug 9771 [Revised] Replace YUI buttons on acquisitions basket groups page with Bootstrap (7.43 KB, patch)
2013-03-21 10:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-03-08 15:36:48 UTC
The toolbar on the acquisitions basket group page uses YUI to generate buttons and menus. It should use Boostrap instead.
Comment 1 Owen Leonard 2013-03-08 15:48:55 UTC Comment hidden (obsolete)
Comment 2 mathieu saby 2013-03-08 23:56:57 UTC
It works like before, but the 2 big blocks are getting larger. I prefer smaller blocks, but maybe you won't agree?

I join a screenshot.

M. Saby
Rennes 2 university
Comment 3 mathieu saby 2013-03-08 23:57:42 UTC
Created attachment 15995 [details]
screenshot
Comment 4 Owen Leonard 2013-03-10 14:08:18 UTC Comment hidden (obsolete)
Comment 5 mathieu saby 2013-03-10 17:21:22 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2013-03-21 10:40:23 UTC
Created attachment 16595 [details] [review]
[PASSED QA] Bug 9771 [Revised] Replace YUI buttons on acquisitions basket groups page with Bootstrap

The acquisitions basket group page has a toolbar with YUI-generated
buttons and menus. It should use Bootstrap instead.

This patch removes the YUI menu buttons altogether, replacing that
functionality with the sidebar menu now included on other acquisitions
pages (See Bug 8913). The "New basket group" button is now styled by
Bootstrap.

Other minor changes: Corrections of invalid markup, improvement to
breadcrumbs.

To test, view the basket group page and confirm that the toolbar button
looks correct and works correctly. Confirm that navigation works and
that functionality of the basket group edit page is not affected.

Revision adds an explicit width to the basket-grouping form columns
so that they don't stretch too wide (and far from each other) when
the browser window is very wide. This better replicates the layout
of the previous version.

Signed-off-by: Mathieu Saby <mathieu.saby@univ-rennes2.fr>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
All tests and QA script happy.
Comment 7 Jared Camins-Esakov 2013-03-21 13:47:39 UTC
This patch has been pushed to master.